<!--
  Generated template for the SingleMessagePage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>
    <ion-title>{{messages.reciver_name}}</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
	<div *ngIf="currentUser">
	    <ion-list *ngFor="let m of messages.messages">
	      	<ion-item no-lines>
	            <div [ngClass]="(currentUser.user.id != m.user.id) 
	            				? 'message-text left' : 'message-text right'">
	            	 {{m.body}}  
	        		<!-- not working -- <div class="message-time">
	            		<span *ngIf="!isIOS"> {{m.created_at | date: 'HH:mm'}} </span> 
					</div> -->
	            </div>

	            <ion-avatar class="message-avatar" *ngIf="currentUser.user_id != m.user.id">
	            	<img *ngIf="profileImg.startsWith('/')" [src]="url+profileImg">
	            	<img *ngIf="profileImg.startsWith('h')" [src]="profileImg">
	            </ion-avatar>

		    </ion-item>
	      	{{last ? callFunction() : ''}}
	    </ion-list>
  	</div>
</ion-content>

<ion-footer>
	<ion-toolbar>
		<ion-row>
			<ion-col col-10>
				<ion-textarea start [(ngModel)]="messageform" class="message-input" placeholder="Type a message here" rows="1" autocapitalize="off" #messageInput (keydown.enter)="sendMessage();false">
				</ion-textarea>
			</ion-col>
			<ion-col col-2>
				<button (click)="sendMessage(messages.reciver)" class="button-icon">
					<ion-icon name="md-send"></ion-icon>
				</button>
			</ion-col>
		</ion-row>
	</ion-toolbar>
</ion-footer>
